Jack::JackGnuPlotMonitor< T > Class Template Reference

Generic monitoring class. Saves data to GnuPlot files ('.plt' and '.log' datafile) More...

`#include <JackTools.h>`

## Public Member Functions

| JackGnuPlotMonitor (uint32_t measure_cnt, uint32_t measure_points, std::string name)
T | AddNew (T measure_point)
uint32_t | New ()
T | Add (T measure_point)
uint32_t | AddLast (T measure_point)
uint32_t | Write ()
int | Save (std::string name=std::string(""))
int | SetPlotFile (std::string *options_list, uint32_t options_number, std::string *field_names, uint32_t field_number, std::string name=std::string(""))

## Detailed Description

### template<class T>
class Jack::JackGnuPlotMonitor< T >

Generic monitoring class. Saves data to GnuPlot files ('.plt' and '.log' datafile)

This template class allows to manipulate monitoring records, and automatically generate the GnuPlot config and data files. Operations are RT safe because it uses fixed size data buffers. You can set the number of measure points, and the number of records.

To use it :

- create a JackGnuPlotMonitor, you can use the data type you want.
- create a temporary array for your measure
- once you have filled this array with 'measure points' value, call write() to add it to the record
- once you've done with your measurment, just call save() to save your data file

You can also call SetPlotFile() to automatically generate '.plt' file from an options list.

Definition at line 101 of file JackTools.h.

The documentation for this class was generated from the following file:

- JackTools.h